expand.grid {base} | R Documentation

## Create a Data Frame from All Combinations of Factors

### Description

Create a data frame from all combinations of the supplied vectors or factors. See the description of the return value for precise details of the way this is done.

### Usage

    expand.grid(...)

### Arguments

`...` | Vectors, factors or a list containing these.

### Value

A data frame containing one row for each combination of the supplied factors. The first factors vary fastest. The columns are labelled by the factors if these are supplied as named arguments or named components of a list.

### References

Chambers, J. M. and Hastie, T. J. (1992) Statistical Models in S. Wadsworth & Brooks/Cole.

### Examples

    expand.grid(height = seq(60, 80, 5), weight = seq(100, 300, 50),
                sex = c("Male","Female"))

[Package Contents]